# hapi-api-docs

Resonsive Swagger documentation for Hapi.

Built using [hapi-swagger](https://github.com/glennjones/hapi-swagger) and 
[jensoleg/swagger-ui](https://github.com/jensoleg/swagger-ui).

## Usage

```bash
npm install @boundstate/hapi-api-docs
```

```typescript
import * as Hapi from 'hapi';
import {hapiApiDocs} from '@boundstate/hapi-api-docs';

const server = new Hapi.Server();

server.register({
  register: hapiApiDocs,
  options: {
    basePath: '/',
    pkg: require('../package.json'),
    schemes: ['http'],
  },
}).then((err) => {

});
```

Tag the routes you wish to document with `api`.

Access the documentation at `/documentation/`.
